import { IObj } from "../../type";
declare const _default: {
    addCacheWrapper: <T extends (...rest: any[]) => any>(func: T) => T;
    abortablePromise: <T_1>(promise: Promise<T_1>) => {
        promise: Promise<T_1>;
        abortController: AbortController;
    };
    genSetRefObjFunc: <T_2 extends IObj<any>>(obj: {
        current: T_2;
    }) => <K extends keyof T_2>(key: K | Partial<T_2> | ((v: T_2) => T_2), value?: T_2[K] | undefined) => void;
    genSetObjFunc: <T_3 extends IObj<any>>(obj: T_3) => <K_1 extends keyof T_3>(key: K_1 | Partial<T_3> | ((v: T_3) => void), value?: T_3[K_1] | undefined) => void;
    parseJson: <T_4 = any>(json: string) => T_4 | null;
    getDom: (id: string, className?: string | undefined) => HTMLDivElement;
};
export default _default;
